name: flutter_sixvalley_ecommerce
description: A new Flutter setup application for starting a project.

publish_to: 'none'
version: 1.0.0+0
environment:
  sdk: ^3.6.2

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter

  cupertino_icons: ^1.0.8
  get_it: ^9.2.0
  provider: ^6.1.5+1
  connectivity_plus: ^7.0.0
  dio: ^5.9.1
  http: ^1.6.0
  shared_preferences: ^2.5.4
  flutter_staggered_grid_view: ^0.7.0
  shimmer: ^3.0.0
  url_launcher: ^6.3.2
  image_picker: ^1.2.1
  share_plus: ^12.0.1
  photo_view: ^0.15.0
  firebase_core: ^4.4.0
  firebase_messaging: ^16.1.1
  flutter_local_notifications: ^20.0.0
  path_provider: ^2.1.5
  google_sign_in: ^7.2.0
  flutter_facebook_auth: ^7.1.5
  flutter_svg: ^2.2.3
  country_code_picker: ^3.4.1
  pin_code_fields: ^8.0.1
  google_maps_flutter: ^2.14.0
  geocoding: ^4.0.0
  geolocator: ^14.0.2
  flutter_typeahead: ^5.2.0
  marquee: ^2.3.0
  flutter_rating_bar: ^4.0.1
  flutter_widget_from_html: ^0.17.1
  flutter_widget_from_html_core: ^0.17.0
  fluttertoast: ^9.0.0
  permission_handler: ^12.0.1
  flutter_downloader: ^1.12.0
  flutter_inappwebview: ^6.1.5
  path: ^1.9.1
  cached_network_image: ^3.4.1
  http_parser: ^4.1.2
  intl: ^0.20.2
  sign_in_with_apple: ^7.0.1
  dotted_border: ^3.1.0
  dotted_line: ^3.2.3
  flutter_slidable: ^4.0.3
  percent_indicator: ^4.2.5
  just_the_tooltip: ^0.0.12
  substring_highlight: ^1.0.33
  card_swiper: ^3.0.1
  emoji_picker_flutter: ^4.4.0
  file_picker: ^10.3.10
  carousel_slider: ^5.1.2
  webview_flutter_android: ^4.10.11
  webview_flutter_wkwebview: ^3.23.6
  dropdown_button2: ^2.3.9
  gradient_borders: ^1.0.2
  flutter_spinkit: ^5.2.2
  open_file: ^3.5.11
  flutter_pdfview: ^1.4.4
  readmore: ^3.0.0
  open_file_manager: ^2.0.1
  audioplayers: ^6.5.1
  syncfusion_flutter_pdfviewer: ^32.2.3
  firebase_auth: ^6.1.4
  flutter_inappwebview_ios: ^1.1.2
  drift: ^2.31.0
  drift_flutter: ^0.2.8
  get_thumbnail_video: ^0.7.3
  archive: ^4.0.7
  video_player: ^2.10.1
  chewie: ^1.13.0
  syncfusion_flutter_datepicker: ^32.2.3
  syncfusion_flutter_core: ^32.2.3
  webview_flutter: ^4.13.1
  skeletonizer: ^2.1.2
  phone_numbers_parser: ^9.0.19
  go_router: ^17.1.0
  app_tracking_transparency: ^2.0.6+1
  app_links: ^6.4.1

#dependency_overrides:
#  firebase_core_platform_interface: ^5.4.0

dev_dependencies:
  flutter_lints: ^6.0.0
  drift_dev: ^2.31.0
  build_runner: ^2.11.0

  flutter_test:
    sdk: flutter



flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - assets/language/
    - assets/svg/

  fonts:
    - family: SF-Pro-Rounded-Regular
      fonts:
        - asset: assets/fonts/ubuntu/SF-Pro-Rounded-Regular.ttf
          weight: 400
        - asset: assets/fonts/ubuntu/SF-Pro-Rounded-Regular.ttf
          weight: 500
        - asset: assets/fonts/ubuntu/SF-Pro-Rounded-Regular.ttf
          weight: 600
